#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,k;
    cin>>n>>k;

    int a[n-k];
    int jed=0,x,j=0;
    for(int i=0;i<n;i++)
    {
        cin>>x;
        if(x==0 || jed>=k)
        {
            a[j]=x;
            j++;
        }
        if(x==1) jed++;
    }
    for(int i=0;i<n-k;i++)
    {
        //if(i!=n-k-1)
            cout<<a[i]<<" ";
        //else cout<<a[n-k-1];
    }
    return 0;
}